WKS4ParserInternal::State Struct Reference

the state of WKS4Parser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType, char const *password)
| constructor
bool | getColor (int id, WPSColor &color) const
| returns a color corresponding to an id
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style
WPSFont | getDefaultFont () const
| returns a default font (Courier12) with file's version to define the default encoding *‍/

## Public Attributes
long | m_eof
| the last file position
libwps::WPSCreator | m_creator
| the application
bool | m_isSpreadsheet
| boolean to know if the file is a spreadsheet file or a database file
libwps_tools_win::Font::Type | m_fontType
| the user font type
int | m_version
| the file version
bool | m_hasLICSCharacters
| flag to know if the character
std::vector< Font > | m_fontsList
| the fonts list
WPSPageSpan | m_pageSpan
| the actual document size
int | m_actPage
| the actual page
int | m_numPages
librevenge::RVNGString | m_headerString
| the header string
librevenge::RVNGString | m_footerString
| the footer string
char const * | m_password
| the password (if known)
bool | m_isEncrypted
| true if the file is encrypted
bool | m_isDecoded
| true if the main stream has been decoded

## Private Member Functions
| State (State const &)=delete
State & | operator= (State const &)=delete

## Detailed Description

the state of WKS4Parser

## Constructor & Destructor Documentation

## ◆ State() [1/2]

WKS4ParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType,
|  | char const * | password )
| inline

constructor

Referenced by operator=(), and State().

## ◆ State() [2/2]

WKS4ParserInternal::State::State | ( | State const & |  | ) |
| private delete

## Member Function Documentation

## ◆ getColor()

bool WKS4ParserInternal::State::getColor | ( | int | id,
|  | WPSColor & | color ) const

returns a color corresponding to an id

## ◆ getDefaultFont()

WPSFont WKS4ParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font (Courier12) with file's version to define the default encoding *‍/

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type WKS4ParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## ◆ operator=()

State & WKS4ParserInternal::State::operator= | ( | State const & |  | ) |
| private delete

## Member Data Documentation

## ◆ m_actPage

int WKS4ParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_creator

libwps::WPSCreator WKS4ParserInternal::State::m_creator

the application

Referenced by getDefaultFontType(), and State().

## ◆ m_eof

long WKS4ParserInternal::State::m_eof

the last file position

Referenced by State().

## ◆ m_fontsList

std::vector<Font> WKS4ParserInternal::State::m_fontsList

the fonts list

Referenced by State().

## ◆ m_fontType

libwps_tools_win::Font::Type WKS4ParserInternal::State::m_fontType

the user font type

Referenced by getDefaultFontType(), and State().

## ◆ m_footerString

librevenge::RVNGString WKS4ParserInternal::State::m_footerString

the footer string

Referenced by State().

## ◆ m_hasLICSCharacters

bool WKS4ParserInternal::State::m_hasLICSCharacters

flag to know if the character

Referenced by getDefaultFontType(), and State().

## ◆ m_headerString

librevenge::RVNGString WKS4ParserInternal::State::m_headerString

the header string

Referenced by State().

## ◆ m_isDecoded

bool WKS4ParserInternal::State::m_isDecoded

true if the main stream has been decoded

Referenced by State().

## ◆ m_isEncrypted

bool WKS4ParserInternal::State::m_isEncrypted

true if the file is encrypted

Referenced by State().

## ◆ m_isSpreadsheet

bool WKS4ParserInternal::State::m_isSpreadsheet

boolean to know if the file is a spreadsheet file or a database file

Referenced by State().

## ◆ m_numPages

int WKS4ParserInternal::State::m_numPages

Referenced by State().

## ◆ m_pageSpan

WPSPageSpan WKS4ParserInternal::State::m_pageSpan

the actual document size

Referenced by State().

## ◆ m_password

char const* WKS4ParserInternal::State::m_password

the password (if known)

Referenced by State().

## ◆ m_version

int WKS4ParserInternal::State::m_version

the file version

Referenced by getColor(), getDefaultFont(), getDefaultFontType(), and State().

The documentation for this struct was generated from the following file:

- WKS4.cpp